<mat-card-header>
  <mat-card-title>
    Lista działów w firmie:
  </mat-card-title>
</mat-card-header>
<mat-card-content class="height-300">
  <mat-list>
    <div *ngIf="(departments$ | async) as departments; else loading">
      <ng-container *ngIf="departments.length; else noDepartments">
        <mat-list-item *ngFor="let department of departments">
          <h4 mat-line>{{department.name}}</h4>
          <p mat-line>Kierownik: {{department?.manager?.data?.firstName}} {{department?.manager?.data?.lastName}} </p>

          <ng-container *ngIf="currentUser?.permissions?.canEditCompany">
            <button mat-icon-button mat-list-icon matTooltip="Edytuj dział"
                    (click)="onUpdateDepartmentDialog(department.id)">
              <mat-icon>edit</mat-icon>
            </button>
            <button color="warn" mat-list-icon mat-icon-button matTooltip="Usuń dział"
                    (click)="onRemoveDepartment(department.id, department.name)">
              <mat-icon>delete_outline</mat-icon>
            </button>
          </ng-container>

        </mat-list-item>
      </ng-container>
      <ng-template #noDepartments>Nie dodano jeszcze żadnych działów.
      </ng-template>
    </div>
    <ng-template #loading>Ładowanie danych...</ng-template>
  </mat-list>
</mat-card-content>

<ng-container *ngIf="currentUser?.permissions?.canEditCompany">
  <mat-card-actions>
    <button mat-raised-button (click)="onCreateDepartmentDialog()">
      <mat-icon>add</mat-icon>
      Dodaj
    </button>
  </mat-card-actions>
</ng-container>
